//
//    File: coordinates.h
//
//    (C) 2000 Helmut Cantzler
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _COORDINATES_H
#define _COORDINATES_H

#include <qmainwindow.h>
#include <qmultilineedit.h>

#include "mesh.h"

class MView;

class CoordinatesWindow : public QMainWindow
{
  Q_OBJECT
 public:
  CoordinatesWindow(MView *parent, Mesh *mesh, const char *name=0);
  void printResult(const Vertex *v, const Edge *e, const Triangle *t);

 public slots:

 private:
  QMultiLineEdit *textfield;
  Mesh *mesh;
};

#endif
